Name: 	 	kmediagrab
Summary: 	KDE interface to capture or transcode videos
Version: 	0.3
%define subrel	1
Release: 	%{mkrel 4}
Source0:	http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.bz2
Source1: 	%{name}48.png
Source2: 	%{name}32.png
Source3: 	%{name}16.png
# (from Thor Malmjursson) Fix use of deprecated mencoder command
# (#45143) - AdamW 2008/11
Patch0:		kmediagrab-0.3-mencoder.patch
URL:		http://sourceforge.net/projects/kmediagrab/
License:	GPLv2+
Group:		Video
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildRequires:	gettext
BuildRequires:	kdelibs-devel
Requires:	mencoder

%description
Kmediagrab is a front end to mplayer/mencoder features. It grabs audio/video
from a DVD or a TV video card, or translates a video file from one format to
another.

%prep
%setup -q
%patch0 -p1 -b .mencoder

%build
export QTDIR=%{qt3dir}
export QTLIB=$QTDIR/%{_lib}
%configure_kde3 --disable-rpath
%make
										
%install
rm -rf %{buildroot}
%makeinstall_std

#menu
mkdir -p %{buildroot}%{_datadir}/applications/
cat << EOF > %buildroot%{_datadir}/applications/mandriva-%{name}.desktop
[Desktop Entry]
Type=Application
Exec=%{name}
Icon=%{name}
Name=KMediaGrab
Comment=Video recorder and transcoder
Categories=KDE;QT;AudioVideo;Video;
EOF

#icons
mkdir -p %{buildroot}%{_kde3_iconsdir}/hicolor/{16x16,32x32,48x48}/apps
install -m 0644 %{SOURCE1} %{buildroot}%{_kde3_iconsdir}/hicolor/48x48/apps/%{name}.png
install -m 0644 %{SOURCE2} %{buildroot}%{_kde3_iconsdir}/hicolor/32x32/apps/%{name}.png
install -m 0644 %{SOURCE3} %{buildroot}%{_kde3_iconsdir}/hicolor/16x16/apps/%{name}.png

%find_lang %{name}

%clean
rm -rf %{buildroot}

%if %mdkversion < 200900
%post
%update_menus
%endif
		
%if %mdkversion < 200900
%postun
%clean_menus
%endif

%files -f %{name}.lang
%defattr(-,root,root)
%doc README AUTHORS ChangeLog TODO
%{_kde3_bindir}/%{name}
%{_kde3_datadir}/applnk/Applications/*
%{_kde3_iconsdir}/locolor/*/apps/*.png
%{_kde3_iconsdir}/hicolor/*/apps/*.png
%{_datadir}/applications/mandriva-%{name}.desktop



%changelog
* Mon Nov 24 2008 Adam Williamson <awilliamson@mandriva.com> 0.3-4.1mdv2009.0
+ Revision: 306470
- fd.o icons
- move to new kde3 location
- use qt3 macros
- add mencoder.patch to fix #45143 (use of deprecated mencoder command)
- new license policy
- clean spec

* Thu Jan 03 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.3-4mdv2008.1
+ Revision: 141871
- auto-convert XDG menu entry
- kill re-definition of %%buildroot on Pixel's request
- import kmediagrab

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot


* Sat Jan  7 2006 Anssi Hannula <anssi@mandriva.org> 0.3-4mdk
- %%mkrel
- fix x86_64 build

* Sat Jun 5 2004 Austin Acton <austin@mandrake.org> 0.3-3mdk
- configure 2.5

* Fri Jul 18 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 0.3-2mdk
- Rebuild

* Fri May 30 2003 Austin Acton <aacton@yorku.ca> 0.3-1mdk
- initial package
